%define base_name	pulse-blip

Name:				plymouth-theme-%{base_name}
Summary:			PCLinuxOS Pulse-Blip Plymouth Theme
Version:			1.0
Release:			%mkrel 1
License: 			CC BY-NC-SA v3.0
URL:				http://pclinuxos.packagecloud.com
Group:				System/Kernel and hardware
Source:				%{name}.tar.xz
BuildRoot: 			%{_tmppath}/%{name}-buildroot
BuildArch:			noarch
Requires:			glibc >= 2.10.1

%description
PCLinuxOS Pulse-Blip Plymouth Theme. Watch the PCLinuxOS heartbeat.

%prep

%setup -q -n Pulse-Blip

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/plymouth/themes/Pulse-Blip
cp * $RPM_BUILD_ROOT/%{_datadir}/plymouth/themes/Pulse-Blip

%posttrans
/usr/sbin/plymouth-set-default-theme Pulse-Blip
/usr/share/bootsplash/scripts/switch-themes Pulse-Blip

%files
%defattr(-,root,root)
%{_datadir}/plymouth/themes/Pulse-Blip/*
%dir %{_datadir}/plymouth/themes/Pulse-Blip

%clean
rm -rf $RPM_BUILD_DIR/%{name}-%{name}

%changelog
* Sun Jul 03 2011 Archie <pclinuxos.ph at gmail.com> 1.0-0_archie_2011
- create package
